API Reference for Marketo Engage

Create Program Member Fields

POST /rest/v1/programs/members/schema/fields.json

Create program member fields in the target instance.

Operation ID
createProgramMemberFieldUsingPOST
Permissions
Read-Write Schema Custom Field
Request format
application/json
Returns
ResponseOfCreateLeadField

Request body

application/json · required · CreateLeadFieldRequest · 8 properties

input array of CreateLeadField required

List of lead fields for input

Model CreateLeadField

displayName string required

UI display-name of the field. Must be unique, cannot contain special characters

name string required

API name of the field. Must be unique, start with a letter, and only contain letters, numbers, or underscore

description string

Description of the field. Default is no description

dataType string required

Datatype of the field

Show all 12 values

boolean currency date datetime email float integer percent phone score string url

isHidden boolean

If set to true, the field is hidden. Default is false

isHtmlEncodingInEmail boolean

If set to true, field is encoded as HTML in email. Default is true

isSensitive boolean

If set to true, field is marked as sensitive. Default is false

Responses

200 OK ResponseOfCreateLeadField
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of LeadFieldStatus required

Array of results for individual records in the operation, may be empty

Model LeadFieldStatus

name string required

API name of the field

status string required

Status of the operation performed on the record

Values created updated

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "name": "Example name",
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results